#ifndef PACKAGE
#define PACKAGE

//#define MODUL

//-----------------------------------------------
#define adr_REC1	1
#define adr_REC2	2
#define adr_INV1	3
#define adr_INV2	4
//-----------------------------------------------

//-----------------------------------------------
#define dsk_COMM	1
//-----------------------------------------------

#define m_FAST 0
#define m_SLOW 1

#define start_sens_error	0
#define start_data			24
#define start_sens_hi_edge	48
#define start_sens_lo_edge	72

#define KeyPressed	Modbus[0x17]

#define	Brightness	modbus[0x64]	//	  

#define	Cancount	(modbus+0x65)	//	  I  CAN
#define	Zeroes		(modbus+0x70)	//	   

#define LastMode	modbus[126]

#define Commands	Modbus[127].all
#define cTestLamp	Modbus[127].bit.bit0
#define cDefParam	Modbus[127].bit.bit1
#define cSaveParam	Modbus[127].bit.bit2
#define cLoadParam	Modbus[127].bit.bit3

#define cTermoCal	Modbus[127].bit.bit4
#define cReadCal	Modbus[127].bit.bit5

#define cExtLamp	Modbus[127].bit.bit6
#define cExtLite	Modbus[127].bit.bit7

#define cNoLog		Modbus[127].bit.bit8

#define cReset		Modbus[127].bit.bitF

#endif	//PACKAGE

