#include "DSP2833x_Device.h"     // DSP281x Headerfile Include File

extern int Mode,Desk,Addrr,TermoAD,TermoRS,TermoSW,Currentoz;
extern int ExtraCanal[];

void setup_leds_line(void);

#define led1_toggle()	GpioDataRegs.GPBTOGGLE.bit.GPIO32=1
#define led2_toggle()	GpioDataRegs.GPBTOGGLE.bit.GPIO48=1
#define led1_off()	GpioDataRegs.GPBSET.bit.GPIO32=1
#define led2_off()	GpioDataRegs.GPBSET.bit.GPIO48=1
#define led1_on()	GpioDataRegs.GPBCLEAR.bit.GPIO32=1
#define led2_on()	GpioDataRegs.GPBCLEAR.bit.GPIO48=1

//	READY	---------------------------------------------------------
static inline void dat_READY(int x)
{	GpioDataRegs.GPBDAT.bit.GPIO59=!x;	}
static inline void set_READY(void)
{	GpioDataRegs.GPBCLEAR.bit.GPIO59=1;	}
static inline void clear_READY(void)
{	GpioDataRegs.GPBSET.bit.GPIO59=1;	}
static inline void toggle_READY(void)
{	GpioDataRegs.GPBTOGGLE.bit.GPIO59=1;}

//	DIOD1	---------------------------------------------------------
static inline void dat_LED1(int x)
{	GpioDataRegs.GPBDAT.bit.GPIO52=x;	}
static inline void set_LED1(void)
{	GpioDataRegs.GPBCLEAR.bit.GPIO52=1;	}
static inline void clear_LED1(void)
{	GpioDataRegs.GPBSET.bit.GPIO52=1;	}
static inline void toggle_LED1(void)
{	GpioDataRegs.GPBTOGGLE.bit.GPIO52=1;}

//	DIOD2	---------------------------------------------------------
static inline void dat_LED2(int x)
{	GpioDataRegs.GPBDAT.bit.GPIO49=x;	}
static inline void set_LED2(void)
{	GpioDataRegs.GPBCLEAR.bit.GPIO49=1;	}
static inline void clear_LED2(void)
{	GpioDataRegs.GPBSET.bit.GPIO49=1;	}
static inline void toggle_LED2(void)
{	GpioDataRegs.GPBTOGGLE.bit.GPIO49=1;}

//	LAMPA1	---------------------------------------------------------
static inline void dat_LMP1(int x)
{	GpioDataRegs.GPBDAT.bit.GPIO60=!x;	}
static inline void set_LMP1(void)
{	GpioDataRegs.GPBCLEAR.bit.GPIO60=1;	}
static inline void clear_LMP1(void)
{	GpioDataRegs.GPBSET.bit.GPIO60=1;	}
static inline void toggle_LMP1(void)
{	GpioDataRegs.GPBTOGGLE.bit.GPIO60=1;}

//	LAMPA2	---------------------------------------------------------
static inline void dat_LMP2(int x)
{	GpioDataRegs.GPBDAT.bit.GPIO58=!x;	}
static inline void set_LMP2(void)
{	GpioDataRegs.GPBCLEAR.bit.GPIO58=1;	}
static inline void clear_LMP2(void)
{	GpioDataRegs.GPBSET.bit.GPIO58=1;	}
static inline void toggle_LMP2(void)
{	GpioDataRegs.GPBTOGGLE.bit.GPIO58=1;}

//	RESERVE1	---------------------------------------------------------
static inline void dat_RES1(int x)
{	GpioDataRegs.GPBDAT.bit.GPIO62=!x;	}
static inline void set_RES1(void)
{	GpioDataRegs.GPBCLEAR.bit.GPIO62=1;	}
static inline void clear_RES1(void)
{	GpioDataRegs.GPBSET.bit.GPIO62=1;	}
static inline void toggle_RES1(void)
{	GpioDataRegs.GPBTOGGLE.bit.GPIO62=1;}

//	RESERVE2	---------------------------------------------------------
static inline void dat_RES2(int x)
{	GpioDataRegs.GPBDAT.bit.GPIO63=!x;	}
static inline void set_RES2(void)
{	GpioDataRegs.GPBCLEAR.bit.GPIO63=1;	}
static inline void clear_RES2(void)
{	GpioDataRegs.GPBSET.bit.GPIO63=1;	}
static inline void toggle_RES2(void)
{	GpioDataRegs.GPBTOGGLE.bit.GPIO63=1;}


extern WORDE Inputs;

void select_tpl_canal(int n_tpl);

void get_Mode(void);
void get_Inputs(void);

#define MAX_BUTTHURT 250000
